import {Valid} from "../../../source/constraints/valid.mjs";
import {expect} from "chai"

describe('Valid', function () {

    describe('.isValid()', function () {
        let constraint = new Valid()

        it('should resolve promise', function (done) {
            constraint.isValid({}).then(r => {
                done();
            }).catch(e => {
                done(new Error("should not reached: " + e));
            })
        });

    });

});

